Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ServantManagerHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantManagerHelper

public class ServantManagerHelper
extends java.lang.Object

Helper class for : ServantManager

Author:
  OpenORB Compiler

Constructor Summary
`ServantManagerHelper()`

Method Summary
`static ServantManager` | `extract(Any a)` Extract ServantManager from an any
`static java.lang.String` | `id()` Return the ServantManager IDL ID
`static void` | `insert(Any a, ServantManager t)` Insert ServantManager into an any
`static ServantManager` | `narrow(Object obj)` Narrow CORBA::Object to ServantManager
`static ServantManager` | `read(InputStream istream)` Read ServantManager from a marshalled stream
`static TypeCode` | `type()` Return the ServantManager TypeCode
`static ServantManager` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ServantManager
`static void` | `write(OutputStream ostream, ServantManager value)` Write ServantManager into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantManagerHelper

    public ServantManagerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServantManager t)

  Insert ServantManager into an any
  Parameters:
    `a` - an any
    `t` - ServantManager value

### extract

    public static ServantManager extract(Any a)

  Extract ServantManager from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServantManager value

### type

    public static TypeCode type()

  Return the ServantManager TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServantManager IDL ID
  Returns:
    an ID

### read

    public static ServantManager read(InputStream istream)

  Read ServantManager from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServantManager value

### write

    public static void write(OutputStream ostream,
                             ServantManager value)

  Write ServantManager into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServantManager value

### narrow

    public static ServantManager narrow(Object obj)

  Narrow CORBA::Object to ServantManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantManager Object

### unchecked_narrow

    public static ServantManager unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ServantManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantManager Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD